<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="ad2abf9e-a5b3-4349-b1bf-407b9fe41dc1" name="Changes" comment="">
      <change beforePath="$PROJECT_DIR$/../../../tests/midterms/25f/latex/src/command.tex" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../../../tests/midterms/25f/latex/src/design.tex" beforeDir="false" afterPath="$PROJECT_DIR$/../../../tests/midterms/25f/latex/src/design.tex" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../../tests/midterms/25f/latex/src/midterm.pdf" beforeDir="false" afterPath="$PROJECT_DIR$/../../../tests/midterms/25f/latex/src/midterm.pdf" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../../tests/midterms/25f/latex/src/midterm_solutions.pdf" beforeDir="false" afterPath="$PROJECT_DIR$/../../../tests/midterms/25f/latex/src/midterm_solutions.pdf" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../../tests/midterms/25f/latex/srcOld/midterm.pdf" beforeDir="false" afterPath="$PROJECT_DIR$/../../../tests/midterms/25f/latex/srcOld/midterm.pdf" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="module-info" />
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/../../.." />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHomeTypeForPersistence" value="WRAPPER" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 8
}</component>
  <component name="ProjectId" id="2mSIjZlKo1UupDvdFMmrcjYc1c9" />
  <component name="ProjectLevelVcsManager">
    <ConfirmationsSetting value="1" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;Application.BadBalloon.executor&quot;: &quot;Run&quot;,
    &quot;Application.BadClockApp.executor&quot;: &quot;Run&quot;,
    &quot;Application.BalloonGUI.executor&quot;: &quot;Run&quot;,
    &quot;Application.Client.executor&quot;: &quot;Run&quot;,
    &quot;Application.GUIApp1.executor&quot;: &quot;Run&quot;,
    &quot;Application.GUIApp2.executor&quot;: &quot;Run&quot;,
    &quot;Application.GUIApp3.executor&quot;: &quot;Run&quot;,
    &quot;Application.GUIController.executor&quot;: &quot;Run&quot;,
    &quot;Application.GUIController2.executor&quot;: &quot;Run&quot;,
    &quot;Application.GenericsExamples.executor&quot;: &quot;Run&quot;,
    &quot;Application.HelloApplication.executor&quot;: &quot;Run&quot;,
    &quot;Application.HelloWorld.executor&quot;: &quot;Run&quot;,
    &quot;Application.HiBye.executor&quot;: &quot;Run&quot;,
    &quot;Application.KeyMouseDemo.executor&quot;: &quot;Run&quot;,
    &quot;Application.KeyboardController.executor&quot;: &quot;Run&quot;,
    &quot;Application.LLExample.executor&quot;: &quot;Run&quot;,
    &quot;Application.LayoutComplex.executor&quot;: &quot;Run&quot;,
    &quot;Application.LayoutGrid.executor&quot;: &quot;Run&quot;,
    &quot;Application.LayoutVH.executor&quot;: &quot;Run&quot;,
    &quot;Application.ObserverExample.executor&quot;: &quot;Run&quot;,
    &quot;Application.Paint.executor&quot;: &quot;Run&quot;,
    &quot;Application.SortUser1.executor&quot;: &quot;Run&quot;,
    &quot;Application.TimerDemo.executor&quot;: &quot;Run&quot;,
    &quot;Application.UTMsingletonExample.executor&quot;: &quot;Run&quot;,
    &quot;Application.UseStrategy.executor&quot;: &quot;Run&quot;,
    &quot;Application.VisitorExample.executor&quot;: &quot;Run&quot;,
    &quot;Application.balloon.executor&quot;: &quot;Run&quot;,
    &quot;ModuleVcsDetector.initialDetectionPerformed&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.git.unshallow&quot;: &quot;true&quot;,
    &quot;deletionFromPopupRequiresConfirmation&quot;: &quot;false&quot;,
    &quot;git-widget-placeholder&quot;: &quot;master&quot;,
    &quot;kotlin-language-version-configured&quot;: &quot;true&quot;,
    &quot;last_opened_file_path&quot;: &quot;/Users/marcdebenedetti/My Drive/Flash Drive/_ac_School/University/Computer Science/csc207/csc207_25f_ins/lectures/Week 8/w08&quot;,
    &quot;node.js.detected.package.eslint&quot;: &quot;true&quot;,
    &quot;node.js.detected.package.tslint&quot;: &quot;true&quot;,
    &quot;node.js.selected.package.eslint&quot;: &quot;(autodetect)&quot;,
    &quot;node.js.selected.package.tslint&quot;: &quot;(autodetect)&quot;,
    &quot;nodejs_package_manager_path&quot;: &quot;npm&quot;,
    &quot;project.structure.last.edited&quot;: &quot;Project&quot;,
    &quot;project.structure.proportion&quot;: &quot;0.0&quot;,
    &quot;project.structure.side.proportion&quot;: &quot;0.2&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;preferences.lookFeel&quot;,
    &quot;vue.rearranger.settings.migration&quot;: &quot;true&quot;
  }
}</component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/src/main/java/org/example/w05" />
    </key>
  </component>
  <component name="SharedIndexes">
    <attachedChunks>
      <set>
        <option value="bundled-jdk-9823dce3aa75-bf35d07a577b-intellij.indexing.shared.core-IU-252.23892.409" />
        <option value="bundled-js-predefined-d6986cc7102b-e03c56caf84a-JavaScript-IU-252.23892.409" />
      </set>
    </attachedChunks>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="ad2abf9e-a5b3-4349-b1bf-407b9fe41dc1" name="Changes" comment="" />
      <created>1727063693136</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1727063693136</updated>
      <workItem from="1727063694685" duration="214000" />
      <workItem from="1727064580367" duration="3970000" />
      <workItem from="1727136684248" duration="1016000" />
      <workItem from="1727143105914" duration="2243000" />
      <workItem from="1727657492143" duration="115000" />
      <workItem from="1727664793750" duration="990000" />
      <workItem from="1727733329306" duration="1686000" />
      <workItem from="1727794734889" duration="3509000" />
      <workItem from="1727807346456" duration="1588000" />
      <workItem from="1727821853718" duration="1501000" />
      <workItem from="1759680754615" duration="1921000" />
      <workItem from="1759693282342" duration="2295000" />
      <workItem from="1759766346074" duration="485000" />
      <workItem from="1759766880273" duration="9936000" />
      <workItem from="1759786342369" duration="8303000" />
      <workItem from="1760284627203" duration="1149000" />
      <workItem from="1760625489634" duration="1000" />
      <workItem from="1760812562913" duration="1951000" />
      <workItem from="1761063950287" duration="4055000" />
      <workItem from="1761321079989" duration="9940000" />
      <workItem from="1761495075720" duration="2785000" />
      <workItem from="1761747219354" duration="1207000" />
      <workItem from="1762125627230" duration="1051000" />
      <workItem from="1762127669700" duration="6851000" />
      <workItem from="1762178934446" duration="112000" />
      <workItem from="1762179050877" duration="329000" />
      <workItem from="1762179500570" duration="2447000" />
      <workItem from="1762183267047" duration="89000" />
      <workItem from="1762183366729" duration="45000" />
      <workItem from="1762183424817" duration="429000" />
      <workItem from="1762197766832" duration="1509000" />
      <workItem from="1762201030817" duration="25736000" />
      <workItem from="1762617582591" duration="57000" />
      <workItem from="1762719111592" duration="4000" />
      <workItem from="1762721609880" duration="260000" />
      <workItem from="1762722109755" duration="59000" />
      <workItem from="1762722217182" duration="285000" />
      <workItem from="1762722519222" duration="2000" />
      <workItem from="1762722584034" duration="13000" />
      <workItem from="1762722612048" duration="32000" />
      <workItem from="1762722658510" duration="3000" />
      <workItem from="1762722667028" duration="102000" />
      <workItem from="1762722775992" duration="24000" />
      <workItem from="1762722814030" duration="20000" />
      <workItem from="1762722838933" duration="13000" />
      <workItem from="1762722864039" duration="21000" />
      <workItem from="1762722894530" duration="44000" />
      <workItem from="1762722953586" duration="4000" />
      <workItem from="1762722975576" duration="76000" />
      <workItem from="1762723150782" duration="454000" />
      <workItem from="1762723627328" duration="964000" />
      <workItem from="1762724598580" duration="8223000" />
      <workItem from="1762791198363" duration="1674000" />
      <workItem from="1762801164971" duration="1331000" />
      <workItem from="1762802593204" duration="72000" />
      <workItem from="1762802688612" duration="617000" />
      <workItem from="1762803525721" duration="11906000" />
      <workItem from="1762824060385" duration="408000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
</project>